org.apache.mina.transport.socket

## Class AbstractSocketSessionConfig

- java.lang.Object
- - org.apache.mina.core.session.AbstractIoSessionConfig
  - - org.apache.mina.transport.socket.AbstractSocketSessionConfig

- All Implemented Interfaces:
    IoSessionConfig, SocketSessionConfig
  Direct Known Subclasses:
    DefaultSocketSessionConfig

      public abstract class AbstractSocketSessionConfig
      extends AbstractIoSessionConfig
      implements SocketSessionConfig

  TODO Add documentation
  Author:
    Apache MINA Project

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `AbstractSocketSessionConfig()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `doSetAll(IoSessionConfig config)` Implement this method to set all transport-specific configuration properties retrieved from the specified `config`.
    `protected boolean` | `isKeepAliveChanged()` Returns `true` if and only if the `keepAlive` property has been changed by its setter method.
    `protected boolean` | `isOobInlineChanged()` Returns `true` if and only if the `oobInline` property has been changed by its setter method.
    `protected boolean` | `isReceiveBufferSizeChanged()` Returns `true` if and only if the `receiveBufferSize` property has been changed by its setter method.
    `protected boolean` | `isReuseAddressChanged()` Returns `true` if and only if the `reuseAddress` property has been changed by its setter method.
    `protected boolean` | `isSendBufferSizeChanged()` Returns `true` if and only if the `sendBufferSize` property has been changed by its setter method.
    `protected boolean` | `isSoLingerChanged()` Returns `true` if and only if the `soLinger` property has been changed by its setter method.
    `protected boolean` | `isTcpNoDelayChanged()` Returns `true` if and only if the `tcpNoDelay` property has been changed by its setter method.
    `protected boolean` | `isTrafficClassChanged()` Returns `true` if and only if the `trafficClass` property has been changed by its setter method.

    - ### Methods inherited from class org.apache.mina.core.session.AbstractIoSessionConfig

      `getBothIdleTime, getBothIdleTimeInMillis, getIdleTime, getIdleTimeInMillis, getMaxReadBufferSize, getMinReadBufferSize, getReadBufferSize, getReaderIdleTime, getReaderIdleTimeInMillis, getThroughputCalculationInterval, getThroughputCalculationIntervalInMillis, getWriterIdleTime, getWriterIdleTimeInMillis, getWriteTimeout, getWriteTimeoutInMillis, isUseReadOperation, setAll, setBothIdleTime, setIdleTime, setMaxReadBufferSize, setMinReadBufferSize, setReadBufferSize, setReaderIdleTime, setThroughputCalculationInterval, setUseReadOperation, setWriterIdleTime, setWriteTimeout`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.mina.transport.socket.SocketSessionConfig

      `getReceiveBufferSize, getSendBufferSize, getSoLinger, getTrafficClass, isKeepAlive, isOobInline, isReuseAddress, isTcpNoDelay, setKeepAlive, setOobInline, setReceiveBufferSize, setReuseAddress, setSendBufferSize, setSoLinger, setTcpNoDelay, setTrafficClass`

    - ### Methods inherited from interface org.apache.mina.core.session.IoSessionConfig

      `getBothIdleTime, getBothIdleTimeInMillis, getIdleTime, getIdleTimeInMillis, getMaxReadBufferSize, getMinReadBufferSize, getReadBufferSize, getReaderIdleTime, getReaderIdleTimeInMillis, getThroughputCalculationInterval, getThroughputCalculationIntervalInMillis, getWriterIdleTime, getWriterIdleTimeInMillis, getWriteTimeout, getWriteTimeoutInMillis, isUseReadOperation, setAll, setBothIdleTime, setIdleTime, setMaxReadBufferSize, setMinReadBufferSize, setReadBufferSize, setReaderIdleTime, setThroughputCalculationInterval, setUseReadOperation, setWriterIdleTime, setWriteTimeout`

- - ### Constructor Detail

    - #### AbstractSocketSessionConfig

          protected AbstractSocketSessionConfig()

  - ### Method Detail

    - #### doSetAll

          protected final void doSetAll(IoSessionConfig config)

      Description copied from class: `AbstractIoSessionConfig`
      Implement this method to set all transport-specific configuration properties retrieved from the specified `config`.
      Specified by:
        `doSetAll` in class `AbstractIoSessionConfig`

    - #### isKeepAliveChanged

          protected boolean isKeepAliveChanged()

      Returns `true` if and only if the `keepAlive` property has been changed by its setter method. The system call related with the property is made only when this method returns `true`. By default, this method always returns `true` to simplify implementation of subclasses, but overriding the default behavior is always encouraged.

    - #### isOobInlineChanged

          protected boolean isOobInlineChanged()

      Returns `true` if and only if the `oobInline` property has been changed by its setter method. The system call related with the property is made only when this method returns `true`. By default, this method always returns `true` to simplify implementation of subclasses, but overriding the default behavior is always encouraged.

    - #### isReceiveBufferSizeChanged

          protected boolean isReceiveBufferSizeChanged()

      Returns `true` if and only if the `receiveBufferSize` property has been changed by its setter method. The system call related with the property is made only when this method returns `true`. By default, this method always returns `true` to simplify implementation of subclasses, but overriding the default behavior is always encouraged.

    - #### isReuseAddressChanged

          protected boolean isReuseAddressChanged()

      Returns `true` if and only if the `reuseAddress` property has been changed by its setter method. The system call related with the property is made only when this method returns `true`. By default, this method always returns `true` to simplify implementation of subclasses, but overriding the default behavior is always encouraged.

    - #### isSendBufferSizeChanged

          protected boolean isSendBufferSizeChanged()

      Returns `true` if and only if the `sendBufferSize` property has been changed by its setter method. The system call related with the property is made only when this method returns `true`. By default, this method always returns `true` to simplify implementation of subclasses, but overriding the default behavior is always encouraged.

    - #### isSoLingerChanged

          protected boolean isSoLingerChanged()

      Returns `true` if and only if the `soLinger` property has been changed by its setter method. The system call related with the property is made only when this method returns `true`. By default, this method always returns `true` to simplify implementation of subclasses, but overriding the default behavior is always encouraged.

    - #### isTcpNoDelayChanged

          protected boolean isTcpNoDelayChanged()

      Returns `true` if and only if the `tcpNoDelay` property has been changed by its setter method. The system call related with the property is made only when this method returns `true`. By default, this method always returns `true` to simplify implementation of subclasses, but overriding the default behavior is always encouraged.

    - #### isTrafficClassChanged

          protected boolean isTrafficClassChanged()

      Returns `true` if and only if the `trafficClass` property has been changed by its setter method. The system call related with the property is made only when this method returns `true`. By default, this method always returns `true` to simplify implementation of subclasses, but overriding the default behavior is always encouraged.

Copyright © 2004-2012 Apache MINA Project. All Rights Reserved.